<?php
if(!defined('DEDEINC')) exit('Request Error!');
/**
 * 貨到付款支付接口
 */

/**
 * 基本接口類
 */
class Cod
{
    /**
    * 構造函數
    *
    * @access  public
    * @param
    *
    * @return void
    */
    function Cod()
    {
    }

    function __construct()
    {
        $this->Cod();
    }

    /**
    * 設置回送地址
    */
    
    function SetReturnUrl($returnurl='')
    {
        return "";
    }
    
    /**
    * 獲取代碼
    */
    function GetCode($order)
    {
        require_once DEDEINC.'/shopcar.class.php';
        $cart = new MemberShops();
        $cart->clearItem();
        $cart->MakeOrders();
        $button="您可以 <a href='/'>返回首頁</a> 或去 <a href='../member/shops_products.php?oid=".$order."'>查看訂單</a>";
       return $button;
    }

}//End API